.TH opldecode 1 "${MODpage}" "opldecode ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
opldecode \- Decode a Raster Object (opl) stream into human readable form.
.SH SYNOPSIS
.B opldecode
.RI [ options "] <" zjs-file
.SH DESCRIPTION
.B opldecode
decodes a Raster Object (opl) stream into human readable form.
.P
A Raster Object stream is the printer langauge used by some Konica Minolta
printers, such as the KM magicolor 2480 MF.

.SH COMMAND LINE OPTIONS
These are the options that can appear on the command line.
.TP
.BI \-d\0 basename
Basename of .pbm file for saving decompressed planes.
.TP
.BI \-h
Print hex file offsets.
.TP
.BI \-o
Print file offsets.
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Decode an Raster Object stream file created by foo2lava-wrapper -z1.

.nf
.ft CW
$ foo2lava-wrapper -z1 testpage.ps | opldecode -h
     0:	Event=StartOfJob;
    11:	OSVersion=WindowsXP;
    25:	DrvVersion=2.0.1410.0;
    3b:	Resolution=1200x600;
    4f:	RasterObject.Compression=JBIG;
    6d:	Sides=OneSided;
    7c:	MediaSize=custom_size_8.5x11in;
    9b:	MediaType=plain;
    ab:	MediaInputTrayCheck=top;
    c3:	RasterObject.BitsPerPixel=1;
    df:	RasterObject.Planes=00FFFF,0,0,0,0,0,0;
   106:	RasterObject.Width=9792;
   11e:	RasterObject.Height=6400;
   137:	RasterObject.Data#20=

				DL = 0, D = 0, P = 1, - = 0, XY = 9792 x 6400
				L0 = 128, MX = 0, MY = 0
				Order   = 3  ILEAVE SMID
				Options = 92  LRLTWO TPDON TPBON DPON
				50 stripes, 0 layers, 1 planes
   161:	RasterObject.Data#32768=
  817a:	RasterObject.Data#32768=
 10193:	RasterObject.Data#3168=
 10e0b:	RasterObject.Planes=FF00FF,0,0,0,0,0,0;
 10e32:	RasterObject.Width=9792;
 10e4a:	RasterObject.Height=6400;
 10e63:	RasterObject.Data#20=

				DL = 0, D = 0, P = 1, - = 0, XY = 9792 x 6400
				L0 = 128, MX = 0, MY = 0
				Order   = 3  ILEAVE SMID
				Options = 92  LRLTWO TPDON TPBON DPON
				50 stripes, 0 layers, 1 planes
 10e8d:	RasterObject.Data#32768=
 18ea6:	RasterObject.Data#32768=
 20ebf:	RasterObject.Data#19200=
 259d8:	RasterObject.Planes=FFFF00,0,0,0,0,0,0;
 259ff:	RasterObject.Width=9792;
 25a17:	RasterObject.Height=6400;
 25a30:	RasterObject.Data#20=

				DL = 0, D = 0, P = 1, - = 0, XY = 9792 x 6400
				L0 = 128, MX = 0, MY = 0
				Order   = 3  ILEAVE SMID
				Options = 92  LRLTWO TPDON TPBON DPON
				50 stripes, 0 layers, 1 planes
 25a5a:	RasterObject.Data#32768=
 2da73:	RasterObject.Data#32768=
 35a8c:	RasterObject.Data#32768=
 3daa5:	RasterObject.Data#7056=
 3f64d:	RasterObject.Planes=000000,0,0,0,0,0,0;
 3f674:	RasterObject.Width=9792;
 3f68c:	RasterObject.Height=6400;
 3f6a5:	RasterObject.Data#20=

				DL = 0, D = 0, P = 1, - = 0, XY = 9792 x 6400
				L0 = 128, MX = 0, MY = 0
				Order   = 3  ILEAVE SMID
				Options = 92  LRLTWO TPDON TPBON DPON
				50 stripes, 0 layers, 1 planes
 3f6cf:	RasterObject.Data#32768=
 476e8:	RasterObject.Data#17472=
 4bb41:	Event=EndOfPage;
 4bb51:	Event=EndOfJob;

.ft P
.fi

.SH FILES
.BR /usr/bin/opldecode
.SH SEE ALSO
.BR foo2lava-wrapper (1),
.BR foo2opl (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.net>
.br
${URLRO}/
'/"
'/"
'/"
.em pdf_outline
